import { _ce, _qe } from './utils';
export function mount(instance, node, target) {
    let targetElement = null;
    if (target === undefined) {
        targetElement = document.createElement('style');
        document.head.appendChild(targetElement);
    }
    else if (typeof target === 'string' || typeof target === 'number') {
        targetElement = _qe(target);
        if (targetElement === null) {
            targetElement = _ce(target);
            document.head.appendChild(targetElement);
        }
        else {
            return targetElement;
        }
    }
    else {
        targetElement = target;
    }
    const style = node.render();
    if (targetElement.innerHTML !== style) {
        targetElement.innerHTML = style;
    }
    return targetElement;
}
