"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("./utils");
function mount(instance, node, target) {
    let targetElement = null;
    if (target === undefined) {
        targetElement = document.createElement('style');
        document.head.appendChild(targetElement);
    }
    else if (typeof target === 'string' || typeof target === 'number') {
        targetElement = utils_1._qe(target);
        if (targetElement === null) {
            targetElement = utils_1._ce(target);
            document.head.appendChild(targetElement);
        }
        else {
            return targetElement;
        }
    }
    else {
        targetElement = target;
    }
    const style = node.render();
    if (targetElement.innerHTML !== style) {
        targetElement.innerHTML = style;
    }
    return targetElement;
}
exports.mount = mount;
